# Method: enterprises.patch

- [HTTP request](https://developers.google.com/android/management/reference/rest/v1/enterprises/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android/management/reference/rest/v1/enterprises/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/android/management/reference/rest/v1/enterprises/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/android/management/reference/rest/v1/enterprises/patch#body.request_body)
- [Response body](https://developers.google.com/android/management/reference/rest/v1/enterprises/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/android/management/reference/rest/v1/enterprises/patch#body.aspect)
- [Try it!](https://developers.google.com/android/management/reference/rest/v1/enterprises/patch#try-it)

Updates an enterprise. See also: `https://developers.google.com/android/management/reference/rest/v1/enterprises#SigninDetail`

### HTTP request

`PATCH https://androidmanagement.googleapis.com/v1/{name=enterprises/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the enterprise in the form `enterprises/{enterpriseId}`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The field mask indicating the fields to update. If not set, all modifiable fields will be modified. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/android/management/reference/rest/v1/enterprises#Enterprise`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/android/management/reference/rest/v1/enterprises#Enterprise`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidmanagement`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).